# _DataSegmentInfo Struct Reference

## Data Fields

void * | allocation
void * | bound
MagickBooleanType | mapped
size_t | length
struct _DataSegmentInfo * | previous
struct _DataSegmentInfo * | next

## Field Documentation

void* _DataSegmentInfo::allocation

void * _DataSegmentInfo::bound

MagickBooleanType _DataSegmentInfo::mapped

size_t _DataSegmentInfo::length

struct _DataSegmentInfo* _DataSegmentInfo::previous`[read]`

struct _DataSegmentInfo * _DataSegmentInfo::next`[read]`

The documentation for this struct was generated from the following file:

- memory.c